> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pinned items

> Get pinned items



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/pinned-lists/{pinnedListUuid}/items
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/pinned-lists/{pinnedListUuid}/items:
    get:
      tags:
        - Content
      summary: Get pinned items
      description: Get pinned items
      operationId: getPinnedItems
      parameters:
        - description: project uuid
          in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - description: the list uuid for the pinned items
          in: path
          name: pinnedListUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPinnedItems'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiPinnedItems:
      properties:
        results:
          $ref: '#/components/schemas/PinnedItems'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    PinnedItems:
      items:
        anyOf:
          - $ref: '#/components/schemas/ResourceViewDashboardItem'
          - $ref: '#/components/schemas/ResourceViewChartItem'
          - $ref: '#/components/schemas/ResourceViewSpaceItem'
          - $ref: '#/components/schemas/ResourceViewDataAppItem'
      type: array
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ResourceViewDashboardItem:
      properties:
        category:
          $ref: '#/components/schemas/ResourceItemCategory'
        data:
          $ref: >-
            #/components/schemas/Pick_DashboardBasicDetails.uuid-or-spaceUuid-or-description-or-name-or-views-or-firstViewedAt-or-pinnedListUuid-or-pinnedListOrder-or-updatedAt-or-updatedByUser-or-validationErrors-or-verification_
        type:
          $ref: '#/components/schemas/ResourceViewItemType.DASHBOARD'
      required:
        - data
        - type
      type: object
    ResourceViewChartItem:
      properties:
        category:
          $ref: '#/components/schemas/ResourceItemCategory'
        data:
          allOf:
            - $ref: >-
                #/components/schemas/Pick_SpaceQuery.uuid-or-name-or-chartType-or-chartKind-or-firstViewedAt-or-views-or-pinnedListUuid-or-pinnedListOrder-or-spaceUuid-or-description-or-updatedAt-or-updatedByUser-or-validationErrors-or-verification-or-slug_
            - properties:
                source:
                  $ref: '#/components/schemas/ChartSourceType'
              type: object
        type:
          $ref: '#/components/schemas/ResourceViewItemType.CHART'
      required:
        - data
        - type
      type: object
    ResourceViewSpaceItem:
      properties:
        data:
          allOf:
            - $ref: >-
                #/components/schemas/Pick_Space.projectUuid-or-uuid-or-name-or-pinnedListUuid-or-pinnedListOrder-or-organizationUuid-or-parentSpaceUuid-or-path-or-inheritParentPermissions_
            - properties:
                appCount:
                  type: number
                  format: double
                childSpaceCount:
                  type: number
                  format: double
                chartCount:
                  type: number
                  format: double
                dashboardCount:
                  type: number
                  format: double
                accessListLength:
                  type: number
                  format: double
                access:
                  items:
                    type: string
                  type: array
              required:
                - appCount
                - childSpaceCount
                - chartCount
                - dashboardCount
                - accessListLength
                - access
              type: object
        type:
          $ref: '#/components/schemas/ResourceViewItemType.SPACE'
      required:
        - data
        - type
      type: object
    ResourceViewDataAppItem:
      properties:
        category:
          $ref: '#/components/schemas/ResourceItemCategory'
        data:
          properties:
            pinnedListOrder:
              type: number
              format: double
              nullable: true
            pinnedListUuid:
              type: string
              nullable: true
            latestVersionStatus:
              allOf:
                - $ref: '#/components/schemas/AppVersionStatus'
              nullable: true
            latestVersionNumber:
              type: number
              format: double
              nullable: true
            firstViewedAt:
              type: string
              format: date-time
              nullable: true
            views:
              type: number
              format: double
            updatedByUser:
              properties:
                lastName:
                  type: string
                firstName:
                  type: string
                userUuid:
                  type: string
              required:
                - lastName
                - firstName
                - userUuid
              type: object
              nullable: true
            updatedAt:
              type: string
              format: date-time
            createdByUserUuid:
              type: string
              nullable: true
            spaceUuid:
              type: string
              nullable: true
            description:
              type: string
            name:
              type: string
            uuid:
              type: string
          required:
            - pinnedListOrder
            - pinnedListUuid
            - latestVersionStatus
            - latestVersionNumber
            - firstViewedAt
            - views
            - updatedByUser
            - updatedAt
            - createdByUserUuid
            - spaceUuid
            - name
            - uuid
          type: object
        type:
          $ref: '#/components/schemas/ResourceViewItemType.DATA_APP'
      required:
        - data
        - type
      type: object
    ResourceItemCategory:
      enum:
        - mostPopular
        - recentlyUpdated
        - pinned
        - favorites
        - verified
      type: string
    Pick_DashboardBasicDetails.uuid-or-spaceUuid-or-description-or-name-or-views-or-firstViewedAt-or-pinnedListUuid-or-pinnedListOrder-or-updatedAt-or-updatedByUser-or-validationErrors-or-verification_:
      properties:
        description:
          type: string
        name:
          type: string
        uuid:
          type: string
        pinnedListUuid:
          type: string
          nullable: true
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        updatedAt:
          type: string
          format: date-time
        spaceUuid:
          type: string
        verification:
          allOf:
            - $ref: '#/components/schemas/ContentVerificationInfo'
          nullable: true
        updatedByUser:
          $ref: '#/components/schemas/UpdatedByUser'
        views:
          type: number
          format: double
        firstViewedAt:
          anyOf:
            - type: string
            - type: string
              format: date-time
          nullable: true
        validationErrors:
          items:
            $ref: '#/components/schemas/ValidationSummary'
          type: array
      required:
        - name
        - uuid
        - pinnedListUuid
        - pinnedListOrder
        - updatedAt
        - spaceUuid
        - verification
        - views
        - firstViewedAt
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ResourceViewItemType.DASHBOARD:
      enum:
        - dashboard
      type: string
    Pick_SpaceQuery.uuid-or-name-or-chartType-or-chartKind-or-firstViewedAt-or-views-or-pinnedListUuid-or-pinnedListOrder-or-spaceUuid-or-description-or-updatedAt-or-updatedByUser-or-validationErrors-or-verification-or-slug_:
      properties:
        description:
          type: string
          description: Optional description of what this chart displays
        name:
          type: string
          description: Display name of the chart
        uuid:
          type: string
        pinnedListUuid:
          type: string
          nullable: true
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        slug:
          type: string
          description: Unique identifier slug for this chart
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the chart was last updated
        spaceUuid:
          type: string
        verification:
          allOf:
            - $ref: '#/components/schemas/ContentVerificationInfo'
          nullable: true
        updatedByUser:
          $ref: '#/components/schemas/UpdatedByUser'
        views:
          type: number
          format: double
        firstViewedAt:
          anyOf:
            - type: string
            - type: string
              format: date-time
          nullable: true
        chartKind:
          $ref: '#/components/schemas/ChartKind'
        validationErrors:
          items:
            $ref: '#/components/schemas/ValidationSummary'
          type: array
        chartType:
          $ref: '#/components/schemas/ChartType'
      required:
        - name
        - uuid
        - pinnedListUuid
        - pinnedListOrder
        - slug
        - updatedAt
        - spaceUuid
        - verification
        - views
        - firstViewedAt
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ChartSourceType:
      enum:
        - dbt_explore
        - sql
      type: string
    ResourceViewItemType.CHART:
      enum:
        - chart
      type: string
    Pick_Space.projectUuid-or-uuid-or-name-or-pinnedListUuid-or-pinnedListOrder-or-organizationUuid-or-parentSpaceUuid-or-path-or-inheritParentPermissions_:
      properties:
        name:
          type: string
        projectUuid:
          type: string
        organizationUuid:
          type: string
        uuid:
          type: string
        inheritParentPermissions:
          type: boolean
        pinnedListUuid:
          type: string
          nullable: true
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        parentSpaceUuid:
          type: string
          nullable: true
        path:
          type: string
      required:
        - name
        - projectUuid
        - organizationUuid
        - uuid
        - inheritParentPermissions
        - pinnedListUuid
        - pinnedListOrder
        - parentSpaceUuid
        - path
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ResourceViewItemType.SPACE:
      enum:
        - space
      type: string
    AppVersionStatus:
      type: string
      enum:
        - pending
        - sandbox
        - catalog
        - generating
        - building
        - packaging
        - ready
        - error
    ResourceViewItemType.DATA_APP:
      enum:
        - data_app
      type: string
    ContentVerificationInfo:
      properties:
        verifiedAt:
          type: string
          format: date-time
        verifiedBy:
          properties:
            lastName:
              type: string
            firstName:
              type: string
            userUuid:
              type: string
          required:
            - lastName
            - firstName
            - userUuid
          type: object
      required:
        - verifiedAt
        - verifiedBy
      type: object
    UpdatedByUser:
      properties:
        userUuid:
          type: string
        firstName:
          type: string
        lastName:
          type: string
      required:
        - userUuid
        - firstName
        - lastName
      type: object
      additionalProperties: true
    ValidationSummary:
      $ref: >-
        #/components/schemas/Pick_ValidationResponse.error-or-createdAt-or-validationUuid-or-validationId_
    ChartKind:
      enum:
        - line
        - horizontal_bar
        - vertical_bar
        - scatter
        - area
        - mixed
        - pie
        - table
        - big_number
        - funnel
        - custom
        - treemap
        - gauge
        - map
        - sankey
      type: string
    ChartType:
      enum:
        - cartesian
        - table
        - big_number
        - pie
        - funnel
        - treemap
        - gauge
        - custom
        - map
        - sankey
      type: string
    Pick_ValidationResponse.error-or-createdAt-or-validationUuid-or-validationId_:
      properties:
        createdAt:
          type: string
          format: date-time
        error:
          type: string
        validationUuid:
          type: string
        validationId:
          type: number
          format: double
          nullable: true
          deprecated: true
      required:
        - createdAt
        - error
        - validationUuid
        - validationId
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````